De Fi
Returns a currency info for the specified network and address if it exists.
Network ticker (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)
Token contract address
Currency information
Full name of the token
Token contract address
Number of decimal places for the token
Token symbol
Network ticker
Indicates if token is currently available for swaps
URL to the token icon
Unauthorized — missing or invalid API key
GET /v1/defi/currency/info?network=text&address=text HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Accept: */*
{
"name": "USD Coin",
"address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"decimals": 6,
"symbol": "usdc",
"network": "eth",
"enabled": true,
"image": "https://baltex.io/uploads/usdc.svg"
}Returns a list of available currencies for the specified network.
Network ticker (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)
Page number for pagination
Number of items per page
List of available currencies for DeFi
Full name of the token
Token contract address
Number of decimal places for the token
Token symbol
Network ticker
Indicates if token is currently available for swaps
URL to the token icon
Unauthorized — missing or invalid API key
GET /v1/defi/available-currencies?network=text HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"name": "Tether USD",
"address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"decimals": 6,
"symbol": "usdt",
"network": "eth",
"enabled": true,
"image": "https://baltex.io/uploads/usdt.png"
},
{
"name": "Pepe",
"address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
"decimals": 18,
"symbol": "pepe",
"network": "eth",
"enabled": true,
"image": "https://baltex.io/uploads/pepe.png"
}
]Returns a quote for swapping tokens on a specified network.
Network name (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)
Source token contract address
Target token contract address
Amount to swap
Allowed slippage in percent
Referrer fee in percent
Swap quote
Amount to swap from
USD value of from amount
Estimated amount to receive
USD value of to amount
Actual amount user will receive after fees
Fee amount
Price impact percentage
Unauthorized — missing or invalid API key
GET /v1/defi/quote?network=text&fromTokenAddress=text&toTokenAddress=text&amount=text&slippage=text&referrerFee=text HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Accept: */*
{
"fromAmount": "10000",
"usdFromAmount": "9999",
"toAmount": "9993.72081500",
"usdToAmount": "10003.714535815",
"receivedAmount": "9983.72709418",
"fee": "0.000072885703202620308",
"routes": [
{
"percentage": 100,
"subRoutes": [
{
"from": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"to": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"dexes": [
{
"name": "Swaap",
"address": "0xd315a9C38eC871068FEC378E4Ce78AF528C76293",
"fee": 0,
"percentage": 100
}
]
},
{
"from": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"to": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"dexes": [
{
"name": "UniswapV3",
"address": "0xc7bBeC68d12a0d1830360F8Ec58fA599bA1b0e9b",
"fee": 0.0001,
"percentage": 100
}
]
}
]
}
],
"priceImpact": "0.04"
}Returns all DEX exchanges for partner from the last 24 hours with optional filters.
Filter by exchange status
Filter by source token address
Filter by target token address
Filter by network
List of DEX exchanges
Total number of exchanges
Unauthorized — missing or invalid API key
GET /v1/defi/exchange/list HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Accept: */*
{
"total": 2,
"exchanges": [
{
"id": "e09962b422ac8a6e",
"created": "2025-10-13T13:08:21.178Z",
"updated": "2025-10-13T13:12:45.068Z",
"network": "arbitrum",
"fromTokenAddress": "0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE",
"toTokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"amountFrom": "0.00231265",
"amountTo": "9.50974600",
"addressFrom": "0x9e1Cc391E739649A7Cc3815685aaDcBFDD438612",
"addressTo": null,
"commissionPercentage": "0.1",
"status": "finished",
"hash": "0x858f26783c21bf403bb3b8a05e6cedf54ae62a5c5266241b241d303852b71a3f"
},
{
"id": "299cbd93913cef03",
"created": "2025-10-13T13:07:04.736Z",
"updated": "2025-10-13T13:07:16.207Z",
"network": "arbitrum",
"fromTokenAddress": "0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE",
"toTokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"amountFrom": "0.00231265",
"amountTo": "9.50532700",
"addressFrom": "0x9e1Cc391E739649A7Cc3815685aaDcBFDD438612",
"addressTo": null,
"commissionPercentage": "0.1",
"status": "failed",
"hash": "0x040789dc85af3c80eb91c6de232d0926e2d8d0f0676663c6fc7e8d36e26a172b"
}
]
}Build a transaction hash from the provided data and returns it to sign.
Sender address
Source token contract address
Target token contract address
Amount to swap
Allowed slippage
Referrer fee
Network name (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)
Transaction hash(es) created
Array containing swap raw transaction hash only (approval not required)
Array containing approval (1st string) and swap transaction (2nd string) raw transactions
Unauthorized — missing or invalid API key
POST /v1/defi/transaction/swap HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 140
{
"account": "text",
"fromTokenAddress": "text",
"toTokenAddress": "text",
"amount": "text",
"slippage": "text",
"referrerFee": "text",
"network": "text"
}[
"f9106a818b83989680830bd5ee946352a56caadc4f1e25cd6c75970..."
]Broadcasts the client-signed transaction hash to the network to approve token spending.
Network name
Raw approve transaction
Approve transaction sent successfully
Transaction hash
Unauthorized — missing or invalid API key
POST /v1/defi/send/approve HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"network": "text",
"rawApproveTx": "text"
}0xcbd9cb094a9b2f5d1511a5c9266e8ea8f76f079fdf685d557c2ee6166c30fa86Broadcasts the client-signed transaction hash to the network to execute the swap.
Receiver address
Amount sent from sender
Amount to be received
Source token contract address
Target token contract address
Network name (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)
Commission percentage
Raw transaction data
Transaction hash
Recipient address (again, for compatibility)
If it is an approve transaction or any other transaction other than a swap, the flag must be false.
Transaction sent successfully
Transaction hash
Unauthorized — missing or invalid API key
POST /v1/defi/send/swap HTTP/1.1
Host: api.baltex.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 212
{
"account": "text",
"amountFrom": "text",
"amountTo": "text",
"fromTokenAddress": "text",
"toTokenAddress": "text",
"network": "text",
"commissionPercentage": "text",
"rawTx": "text",
"hash": "text",
"to": "text",
"isExchange": true
}0xc0fdaae6f89534be97b324acd22b41bb1d14ffd518346fd87947a7d88de07e2aLast updated